Summary:	Utilities for working with desktop entries
Name:		desktop-file-utils
Version:	0.21
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Other
Url: 		http://freedesktop.org/Software/desktop-file-utils
Source:		http://freedesktop.org/software/desktop-file-utils/releases/%{name}-%{version}.tar.xz
Buildrequires:	popt-devel glibc-static-devel
BuildRequires:	glib2-devel
BuildRequires:	emacs-bin

%description
desktop-file-utils contains a couple of command line utilities for working
with desktop entries. It requires GLib and popt to compile, because the
implementation requires Unicode utilities and such.

Right now the only documentation is "desktop-file-install --help".
desktop-file-validate takes a single argument, the file to validate. 

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/emacs/site-start.d/
cat > %{buildroot}%{_sysconfdir}/emacs/site-start.d/%{name}.el << EOF
(autoload 'desktop-entry-mode "desktop-entry-mode" "Desktop Entry mode" t)
(add-to-list 'auto-mode-alist
'("\\\\.desktop\\\\(\\\\.in\\\\)?$" . desktop-entry-mode))
(add-hook 'desktop-entry-mode-hook 'font-lock-mode)
EOF

# automatic cache update on rpm installs/removals
# (see http://wiki.mandriva.com/en/Rpm_filetriggers)
install -d %buildroot%{_var}/lib/rpm/filetriggers
cat > %buildroot%{_var}/lib/rpm/filetriggers/update-desktop-database.filter << EOF
^./usr/share/applications/.*\.desktop$
EOF
cat > %buildroot%{_var}/lib/rpm/filetriggers/update-desktop-database.script << EOF
#!/bin/sh
/usr/bin/update-desktop-database /usr/share/applications > /dev/null 2> /dev/null
EOF
chmod 755 %buildroot%{_var}/lib/rpm/filetriggers/update-desktop-database.script

%files 
%doc AUTHORS NEWS README ChangeLog
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}.el
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/emacs/site-lisp/desktop-entry-mode.el*
%{_var}/lib/rpm/filetriggers/update-desktop-database.*




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.21-2.mga3
+ Revision: 348726
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 13 2012 ovitters <ovitters> 0.21-1.mga3
+ Revision: 305232
- drop upstream patch
- new version 0.21

* Mon May 28 2012 wally <wally> 0.20-2.mga3
+ Revision: 248339
- add P0 from upstream to add XFCE to registered categories
- clean .spec a bit

* Wed Mar 07 2012 anssi <anssi> 0.20-1.mga2
+ Revision: 221308
- new version 0.20

* Fri Dec 30 2011 fwang <fwang> 0.19-1.mga2
+ Revision: 188839
- new version 0.19

* Fri Mar 11 2011 mikala <mikala> 0.18-1.mga1
+ Revision: 68319
- Update tarball to 0.18
- Remove buildroot

* Mon Jan 10 2011 blino <blino> 0.17-1.mga1
+ Revision: 5293
- imported package desktop-file-utils

